package partnerpay

type PaymentParams struct {
	Money       *float64 `json:"money,omitempty"`       // 交易金额(元)，必须
	Title       *string  `json:"title,omitempty"`       // 交易标题/商品描述，必须
	OutTradeNo  *string  `json:"outTradeNo,omitempty"`  // 交易订单号，必须
	TimeExpire  *int64   `json:"timeExpire,omitempty"`  // 超时时长，即代表是多少分钟后订单超时无效(分钟为单位)
	CallBackUrl *string  `json:"callBackUrl,omitempty"` // 回调地址，必须
}

type PaymentJsApiParam struct {
	PaymentParams
	OpenId *string `json:"openId"`
}
